
class ListFilesBase(object):
    def list_files(self, source):
        """
        :type source: parallels.plesk.source.web.connections.WebSource
        :rtype: list
        """
        raise NotImplementedError()

    def get_encoding(self, source):
        """Get encoding in which "list_files" function is expected to return file names.

        :type source: parallels.plesk.source.web.connections.WebSource
        :rtype: str
        """
        raise NotImplementedError()
